
import java.util.Date
import java.text.SimpleDateFormat

plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("com.google.gms.google-services")
    id("com.google.firebase.crashlytics")
    kotlin("kapt")
    id ("kotlin-android")
}

val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.key.board.journey.inputmethod"
    compileSdk = 35

    defaultConfig {
        //com.key.board.journey.inputmethod
        applicationId = "com.key.board.journey.inputmethod"
        minSdk = 24
        targetSdk = 35
        versionCode = 3
        versionName = "1.2"
        setProperty(
            "archivesBaseName",
            "Keyboard Journey_V" + versionName + "(${versionCode})_$timestamp"
        )
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }

    kotlinOptions {
        jvmTarget = "17"
    }
    buildFeatures {
        buildConfig = true
        viewBinding = true
    }

}

dependencies {

    implementation("androidx.core:core-ktx:1.9.0")
    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.10.0")

    implementation("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("com.github.bumptech.glide:glide:4.16.0")
    implementation ("jp.wasabeef:glide-transformations:4.3.0")
    //Glide支持webp动图的库
    implementation("com.github.zjupure:webpdecoder:2.0.4.12.0")
    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.02")

    val room_version = "2.6.1"
    implementation ("androidx.room:room-runtime:$room_version")
    kapt("androidx.room:room-compiler:$room_version")
    implementation ("androidx.room:room-ktx:$room_version")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.8.0")
    implementation ("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.8.0")

    implementation(platform("com.google.firebase:firebase-bom:33.7.0"))
    implementation("com.google.firebase:firebase-crashlytics")
    implementation("com.google.firebase:firebase-analytics")
    implementation("com.google.firebase:firebase-config")


    implementation(files("libs/TopOnLibrary_06_27_16_00-release.aar"))
    implementation(files("libs/UpLoadLibrary_07_03_11_54-release.aar"))


    //-----------------------------------------------TopOn(Mintegral、Pangle、UnitAds、Digital Turbine(Fyber)、Chartboost&Helium、Ironsource、Liftoff(Vungle)、Inmobi、Start.io、Bigo)
    //TU (Necessary)
    implementation("com.thinkup.sdk:core-tpn:6.4.90")
    implementation("com.thinkup.sdk:nativead-tpn:6.4.90")
    implementation("com.thinkup.sdk:banner-tpn:6.4.90")
    implementation("com.thinkup.sdk:interstitial-tpn:6.4.90")
    implementation("com.thinkup.sdk:rewardedvideo-tpn:6.4.90")
    implementation("com.thinkup.sdk:splash-tpn:6.4.90")

    //Androidx (Necessary)
    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("androidx.browser:browser:1.4.0")

    //StartApp
    implementation("com.thinkup.sdk:adapter-tpn-startapp:6.4.90")
    implementation("com.startapp:inapp-sdk:5.0.2")

    //Vungle
    implementation("com.thinkup.sdk:adapter-tpn-vungle:6.4.90")
    implementation("com.vungle:vungle-ads:7.5.0")
    implementation("com.google.android.gms:play-services-basement:18.1.0")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //UnityAds
    implementation("com.thinkup.sdk:adapter-tpn-unityads:6.4.90")
    implementation("com.unity3d.ads:unity-ads:4.14.0")

    //Ironsource
    implementation("com.thinkup.sdk:adapter-tpn-ironsource:6.4.90")
    implementation("com.ironsource.sdk:mediationsdk:8.7.0")
    implementation("com.google.android.gms:play-services-appset:16.0.2")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")
    implementation("com.google.android.gms:play-services-basement:18.1.0")

    //Bigo
    implementation("com.thinkup.sdk:adapter-tpn-bigo:6.4.90")
    implementation("com.bigossp:bigo-ads:5.3.0")

    //Pangle
    implementation("com.thinkup.sdk:adapter-tpn-pangle:6.4.90.1")
    implementation("com.pangle.global:pag-sdk:7.2.0.6")
    implementation("com.google.android.gms:play-services-ads-identifier:18.2.0")

    //Inmobi
    implementation("com.thinkup.sdk:adapter-tpn-inmobi:6.4.90")
    implementation("com.inmobi.monetization:inmobi-ads-kotlin:10.8.2")

    //Mintegral
    implementation("com.thinkup.sdk:adapter-tpn-mintegral:6.4.90")
    implementation("com.mbridge.msdk.oversea:mbridge_android_sdk:16.9.71")
    implementation("androidx.recyclerview:recyclerview:1.1.0")

    //Chartboost
    implementation("com.thinkup.sdk:adapter-tpn-chartboost:6.4.90")
    implementation("com.chartboost:chartboost-sdk:9.8.3")
    implementation("com.chartboost:chartboost-mediation-sdk:4.9.2")
    implementation("com.chartboost:chartboost-mediation-adapter-chartboost:4.9.8.1.0")
    implementation("com.jakewharton.retrofit:retrofit2-kotlinx-serialization-converter:1.0.0")
    implementation("com.squareup.okhttp3:logging-interceptor:4.10.0")
    implementation("com.squareup.okhttp3:okhttp:4.10.0")
    implementation("com.squareup.retrofit2:converter-scalars:2.9.0")
    implementation("com.squareup.retrofit2:retrofit:2.9.0")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.7.1")
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-json:1.5.1")

    //Fyber
    implementation("com.thinkup.sdk:adapter-tpn-fyber:6.4.90")
    implementation("com.fyber:marketplace-sdk:8.3.7")
    implementation("com.google.android.gms:play-services-ads-identifier:18.0.1")

    //Tramini
    implementation("com.thinkup.sdk:tramini-plugin-tpn:6.4.90")

    // Debugger UI Tools
    implementation("com.anythink.sdk:debugger-ui:1.1.0")

    //----------------------------------------------TopOn


}